import request from '@/utils/request'
var service_name = 'oil-dict'
var group_name = 'areaCode'
export default {
  getByPage(page) { // 分页查询
    return request({
      url: `/${service_name}/${group_name}/getByPage`,
      notEncrypt: true,
      method: 'post',
      data: page
    })
  },
  save(areaCode) { // 保存
    return request({
      url: `/${service_name}/${group_name}/save`,
      notEncrypt: true,
      method: 'post',
      data: areaCode
    })
  },
  get(id) { // 根据id查询
    return request({
      url: `/${service_name}/${group_name}/get/${id}`,
      notEncrypt: true,
      method: 'get'
    })
  },
  getTree() { // 树状查询
    return request({
      url: `/${service_name}/${group_name}/getTree`,
      notEncrypt: true,
      method: 'get'
    })
  },
  treeListNoCounty() { // 树状查询没有区
    return request({
      url: `/${service_name}/${group_name}/treeListNoCounty`,
      notEncrypt: true,
      method: 'get'
    })
  },
  update(areaCode) { // 更新
    return request({
      url: `/${service_name}/${group_name}/update`,
      notEncrypt: true,
      method: 'put',
      data: areaCode
    })
  },
  exportExcel(page) { // 导出
    return request({
      url: `/${service_name}/${group_name}/export`,
      notEncrypt: true,
      method: 'post',
      data: page,
      responseType: 'blob'
    })
  },
  exportSiteWeb(page) { // 导出
    return request({
      url: `/oil-finance/oilOrderInfoExcel/exportSiteWeb`,
      notEncrypt: true,
      method: 'post',
      data: page,
      responseType: 'blob'
    })
  },
  deleteById(id) { // 根据id删除
    return request({
      url: `/${service_name}/${group_name}/delete`,
      notEncrypt: true,
      method: 'put',
      data: { id: id }
    })
  },
  getGroupList() { // 分组查询  最终查询的结果是省市县各一个集合
    return request({
      url: `/${service_name}/${group_name}/getGroupList`,
      notEncrypt: true,
      method: 'get'
    })
  },
  areaCodeProvince() { // 分组查询  最终查询的结果是省市县各一个集合
    return request({
      url: `/${service_name}/${group_name}/areaCodeProvince`,
      notEncrypt: true,
      method: 'get'
    })
  },
  findAllByName(name) { // 分组查询  最终查询的结果是省市县各一个集合
    return request({
      url: `/oil-site/sysSheet/findAllByName`,
      method: 'get',
      params:name
    })
  }
  
}
