import request from '@/utils/request'
var service_name = 'oil-user'
var group_name = 'oilCompanyAuth'
export default {
  getByPage(page) { // 分页查询
    return request({
      url: `/${service_name}/${group_name}/getByPage`,
      method: 'post',
      data: page
    })
  },
  save(oilCompanyAuth) { // 保存
    return request({
      url: `/${service_name}/${group_name}/save`,
      method: 'post',
      data: oilCompanyAuth
    })
  },
  get(id) { // 根据id查询
    return request({
      url: `/${service_name}/${group_name}/get/${id}`,
      method: 'get'
    })
  },
  update(oilCompanyAuth) { // 更新
    return request({
      url: `/${service_name}/${group_name}/update`,
      method: 'put',
      data: oilCompanyAuth
    })
  },
  exportExcel(page) { // 导出
    return request({
      url: `/${service_name}/${group_name}/export`,
      method: 'post',
      notEncrypt: true,
      data: page,
      responseType: 'blob'
    })
  },
  deleteById(id) { // 根据id删除
    return request({
      url: `/${service_name}/${group_name}/delete`,
      method: 'put',
      data: { id: id }
    })
  },
  getByCompanyId(id) { // 根据企业编号查询
    return request({
      url: `/${service_name}/${group_name}/getByCompanyId/${id}`,
      method: 'get'
    })
  }
}
