import request from "utils/axios.js";
// table
const getByPage = (params) => {
  return request.postJson("/oil-refinery/xoilRefineryOrder/getByPage", params);
};
//查看提货单信息
const findDeliveryByOrderId = (id) => {
  return request.get(`/oil-refinery/xoilRefineryDelivery/findDeliveryByOrderId/${id}`);
};
//创建提货单
const billSave = (params) => {
  return request.postJson("/oil-refinery/xoilRefineryDelivery/save", params);
};
//修改提货单
const update = (params) => {
  return request.postPut("/oil-refinery/xoilRefineryDelivery/update", params);
};
//修改提货单
const orderUpdate = (params) => {
  return request.postPut("/oil-refinery/xoilRefineryOrder/update", params);
};
//查看订单信息
const findByOrderId = (id) => {
  return request.get(`/oil-refinery/xoilRefineryDelivery/findByOrderId/${id}`);
};
//修改提货单
const deleteBill = (params) => {
  return request.postPut("/oil-refinery/xoilRefineryDelivery/delete", params);
};
//下单
const orderSuccess = (params) => {
  return request.postJson("/oil-refinery/xoilRefineryOrder/orderSuccess", params);
};
//订单锁定
const orderLock = (params) => {
  return request.postJson("/oil-refinery/xoilRefineryOrder/orderLock", params);
};
//确认下单
const orderComplete = (params) => {
  return request.postJson("/oil-refinery/xoilRefineryOrder/orderComplete", params);
};
//订单退款
const orderRefund = (params) => {
  return request.postJson("/oil-refinery/xoilRefineryOrder/orderRefund", params);
};
//油批中心信息
const getlnfoByld = (params) => {
  return request.postJson("/oil-refinery/xoilRefineryCenterAccount/getInfoById", params);
};
//油批中心列表
const getRecordsByActld = (params) => {
  return request.postJson("/oil-refinery/xoilRefineryCenterAccount/getRecordsByActId", params);
};

export default {
  getByPage,
  findDeliveryByOrderId,
  billSave,
  findByOrderId,
  update,
  deleteBill,
  orderSuccess,
  orderLock,
  orderComplete,
  orderRefund,
  orderUpdate,
  getlnfoByld,
  getRecordsByActld
};
