import request from '@/utils/request'
var service_name = 'oil-user'
var group_name = 'sysCustomerInfo'
export default {
  getByPage(page) { // 分页查询
    return request({
      url: `/${service_name}/${group_name}/getByPage`,
      method: 'post',
      data: page
    })
  },
  save(sysCustomerInfo) { // 保存
    return request({
      url: `/${service_name}/${group_name}/save`,
      method: 'post',
      data: sysCustomerInfo
    })
  },
  get(id) { // 根据id查询
    return request({
      url: `/${service_name}/${group_name}/get/${id}`,
      method: 'get'
    })
  },
  getByBusinessLeader(businessLeader) { // 根据id删除
    return request({
      url: `/${service_name}/${group_name}/getByBusinessLeader`,
      method: 'get',
      params: {
        businessLeader
      }
    })
  },
  findAll() { // 根据id查询
    return request({
      url: `/${service_name}/${group_name}/findAll`,
      method: 'get'
    })
  },
  getTodayRegister() { // 查询当日新增会员
    return request({
      url: `/${service_name}/${group_name}/getTodayRegister`,
      method: 'get'
    })
  },
  getYesterdayData() { // 查询当日新增会员
    return request({
      url: `/${service_name}/${group_name}/getYesterdayData`,
      method: 'get'
    })
  },
  getLoginCount() { // 查询当前登录人数
    return request({
      url: `/${service_name}/${group_name}/getLoginCount`,
      method: 'get'
    })
  },
  findByBusinessLeader(businessLeader) { // 查询当前登录人数
    return request({
      url: `/${service_name}/${group_name}/findByBusinessLeader`,
      method: 'get',
      params: {
        businessLeader
      }
    })
  },
  getTotalCount() { // 查询用户总数
    return request({
      url: `/${service_name}/${group_name}/getTotalCount`,
      method: 'get'
    })
  },
  update(sysCustomerInfo) { // 更新
    return request({
      url: `/${service_name}/${group_name}/update`,
      method: 'put',
      data: sysCustomerInfo
    })
  },
  exportExcel(page) { // 导出
    return request({
      url: `/${service_name}/${group_name}/export`,
      method: 'post',
      notEncrypt: true,
      data: page,
      responseType: 'blob'
    })
  },
  deleteById(id) { // 根据id删除
    return request({
      url: `/${service_name}/${group_name}/delete`,
      method: 'put',
      data: { id: id }
    })
  },
  updateBatchEnalbe(data) { // 批量修改启用禁用状态
    return request({
      url: `/${service_name}/${group_name}/updateBatchEnalbe`,
      method: 'post',
      data
    })
  },
  liekQuery(value) { // 模糊搜索
    return request({
      url: `/${service_name}/${group_name}/liekQuery/${value}`,
      method: 'get'
    })
  },
  searchInfo(value) { // 根据手机号、编号、姓名查询
    return request({
      url: `/${service_name}/${group_name}/searchInfo/${value}`,
      method: 'get'
    })
  },
  getByPhone(phone) { // 模糊搜索
    return request({
      url: `/${service_name}/${group_name}/getByPhone/${phone}`,
      method: 'get'
    })
  },
  getByPhoneNoGlobalEnable(phone) { // 根据用户手机号查询
    return request({
      url: `/${service_name}/${group_name}/getByPhoneNoGlobalEnable/${phone}`,
      method: 'get'
    })
  },
  getListByPhoneNoGlobalEnable(phone) { // 根据用户手机号查询
    return request({
      url: `/${service_name}/${group_name}/getListByPhoneNoGlobalEnable/${phone}`,
      method: 'get'
    })
  },
  saveDriver(sysCustomerInfo) { // 保存
    return request({
      url: `/${service_name}/${group_name}/saveDriver`,
      method: 'post',
      data: sysCustomerInfo
    })
  },
  getDriverByPage(page) { // 获取司机列表
    return request({
      url: `/${service_name}/${group_name}/getDriverByPage`,
      method: 'post',
      data: page
    })
  },
  getByPages(page) { // 获取司机列表
    return request({
      url: `/${service_name}/${group_name}/getByPages`,
      method: 'post',
      data: page
    })
  },
  getCompanyDrivers(sysCustomerInfo) { // 保存
    return request({
      url: `/${service_name}/${group_name}/getCompanyDrivers`,
      method: 'post',
      data: sysCustomerInfo
    })
  },
  getCompanyDriversOwn(sysCustomerInfo) { // 保存
    return request({
      url: `/${service_name}/${group_name}/getCompanyDriversOwn`,
      method: 'post',
      data: sysCustomerInfo
    })
  },
  // 根据用户编号查询
  getUserNameMaps() {
    return request({
      url: `/${service_name}/${group_name}/getAllUserNameMaps`,
      method: 'get'
    })
  },
  userPermissionUpdate(data) { // 企业用户信息修改
    return request({
      url: `/${service_name}/oilCustomerCompanyRelation/userPermissionUpdate`,
      method: 'post',
      data
    })
  },
  getRechargeCode(data) { // 获取操作码
    return request({
      url: `/oil-finance/lc/getRechargeCode`,
      method: 'post',
      data
    })
  },
  userPermissionSave(data) { // 添加企业用户
    return request({
      url: `/${service_name}/oilCustomerCompanyRelation/userPermissionSave`,
      method: 'post',
      data
    })
  },
}
