import Vue from "vue";

import ElementUI from "element-ui";
import "element-ui/lib/theme-chalk/index.css";
import language from "element-ui/lib/locale/lang/zh-CN";

import "@/styles/index.scss"; // global css

import App from "./App";
import store from "./store";
import router from "./router";
import * as utils from "./utils";

import "utils/directive";
import "@/icons";
import "@/permission";

Vue.use(ElementUI, { language, size: "medium" });
Vue.config.productionTip = false;
Vue.prototype.$utils = utils;

new Vue({
  el: "#app",
  router,
  store,
  render: (h) => h(App),
});
