const getDefaultState = () => {
  return {
    name: "admin",
    avatar: "",
    auth: null,
    companyType: 0,
    companyId: "",
  };
};

const state = getDefaultState();

const mutations = {
  SET_NAME: (state, name) => {
    state.name = name;
  },
  SET_AUTH: (state, auth) => {
    state.auth = auth;
  },
  SET_COMPANYTYPE: (state, data) => {
    //chainParentMark  1：总公司 0：分公司
    state.companyType = data.chainParentMark;
    state.companyId = data.userCompany;
  },
};

const actions = {
  info({ commit }, data) {
    commit("SET_AUTH", data.authList);
    commit("SET_NAME", data.name);
    commit("SET_COMPANYTYPE", data);
  },
};

export default {
  namespaced: true,
  state,
  mutations,
  actions,
};
