import axios from "./request";
import Qs from "qs";

export default {
  get(url, params) {
    return axios({
      url: url,
      method: "get",
      params: params,
    });
  },
  post(url, data) {
    return axios({
      url: url,
      method: "post",
      data: Qs.stringify(data),
      headers: { "Content-Type": "application/x-www-form-urlencoded" },
    });
  },
  postJson(url, data) {
    return axios({
      url: url,
      method: "post",
      data: data,
    });
  },
  postPut(url, data) {
    return axios({
      url: url,
      method: "put",
      data: data,
    });
  },
  postFromData(url, data) {
    return axios({
      url: url,
      method: "post",
      data: data,
      headers: { "Content-Type": "multipart/form-data" },
    });
  },
  postUpload(url, data) {
    return axios({
      url: url,
      method: "post",
      data: data,
      timeout: 300000,
      processData: false, // 是否处理发送的数据
      contentType: false,
    });
  },
  postBlob(url, data, type = "post") {
    return axios({
      url: url,
      method: type,
      data: data,
      headers: { "Content-Type": "application/json" },
      responseType: "blob",
    });
  },
};
