import Vue from "vue";
import store from "@/store";

const handle = (e, vNode) => {
  let val = e.target.value;
  let qualifiedNum = val
    .replace(/[^\d.]/g, "")
    .replace(/^\./g, "")
    .replace(/\.{2,}/g, ".")
    .replace(/^0{2,}/g, "0")
    .replace(".", "$#$")
    .replace(/\./g, "")
    .replace("$#$", ".");
  vNode.componentInstance.$emit("input", qualifiedNum);
};

Vue.directive("checkNum", {
  bind(el, binding, vNode) {
    if (!el.children.length) {
      return;
    }
    el.children[0].addEventListener("keyup", (e) => {
      handle(e, vNode);
    });
  },
  unbind(el) {
    // console.log("el.children", el.children);
    // if (el.children.length) {
    //   el.children[0].removeEventListener("keyup");
    // }
  },
});

Vue.directive("permission", {
  inserted(el, binding, vnode) {
    const { value } = binding;
    const auth = store.getters && store.getters.auth;

    if (value && value instanceof Array && value.length > 0) {
      const permissionRoles = value;

      const hasPermission = auth.some((role) => {
        return permissionRoles.includes(role);
      });

      if (!hasPermission) {
        el.parentNode && el.parentNode.removeChild(el);
      }
    } else {
      throw new Error(`need auths! Like v-permission="['admin','editor']"`);
    }
  },
});
